[MediaWiki-l] Scribunto/Lua scripts not running

John Foster jfoster81747 at gmail.com
Thu Dec 25 22:14:03 UTC 2014


I have a mediawiki 1.23.### with next to last security update. I was having
a lot of script error messages poping up when a page loaded.  I read a lot
and decided I needed to upgrade the Extension:Scribunto. I thought that
would fix the issue,  but it didn't.  The only reason I use Scribunto is
that I like to use the upgrade templates from Wikipedia.  However I'm
approaching a point where I simply want to freeze the installation and only
concentrate on the actual content. I don't see a way to do that without
completely rebuilding the site using a matching 1.24.xxx with a matching
Scribunto. I've done this several times and frankly an fed up with the
process.  Of I could strip out Scribunto, I'm OK with that. This just seems
to be bad software engineering to have Lua so involved, without actually
integrating it directly into the mediawiki software, and tossing the
Extension. In short incorporate it the same way as Php, or java, etc.


More information about the MediaWiki-l mailing list